| Home | Libraries | People | FAQ | More

##### windows::basic_object_handle::wait (2 of 2 overloads)

Perform a blocking wait on the object handle.

    void wait(
        boost::system::error_code & ec);

This function is used to wait for the object handle to be set to the signalled state. This function blocks and does not return until the object handle has been set to the signalled state.

###### Parameters

ec

  Set to indicate what error occurred, if any.